### Signal

# Gck Module::authenticate-object

#### Declaration

    gboolean
    authenticate_object (
      GckModule* self,
      GckObject* object,
      gchar* label,
      gpointer password,
      gpointer user_data
    )

#### Description [src]

Use `gck_session_set_interaction()` instead of connecting to this signal.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.
Deprecated since: | Unknown
Since 3.4

#### Parameters

`object` | `GckObject`
| The object to be authenticated.
| The data is owned by the caller of the function.
`label` | `gchar*`
| A displayable label which describes the object.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`password` | `gpointer`
| A gchar** where a password should be returned.
| The argument can be `NULL`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| No description available.